edu.msu.cme.rdp.classifier.utils

## Class ClassifierSequence

- java.lang.Object
- - edu.msu.cme.rdp.readseq.readers.Sequence
  - - edu.msu.cme.rdp.classifier.utils.ClassifierSequence

All Implemented Interfaces:
  java.io.Serializable

    public class ClassifierSequence
    extends edu.msu.cme.rdp.readseq.readers.Sequence

A Sequence containing the sequence information.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class edu.msu.cme.rdp.readseq.readers.Sequence

`desc, seqName, seqString`

### Constructor Summary

Constructors
Constructor and Description
`ClassifierSequence(edu.msu.cme.rdp.readseq.readers.Sequence seq)` Creates new ParsedSequence.
`ClassifierSequence(java.lang.String seqName, java.lang.String desc, java.lang.String seqString)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getGoodWordCount()` Returns the number of words with valid bases.
`ClassifierSequence` `getReversedSeq()` Returns a Sequence object whose sequence string is the reverse complement of the current rRNA sequence string.
`int[]` `getWordIndexArr()`
`boolean` `isReverse()` Returns true if the sequence string is a minus strand.
`protected void` `setSeqString(java.lang.String s)` Sets the sequence string.

### Methods inherited from class edu.msu.cme.rdp.readseq.readers.Sequence

`getDesc, getSeqName, getSeqString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassifierSequence

    public ClassifierSequence(edu.msu.cme.rdp.readseq.readers.Sequence seq)
                       throws java.io.IOException

Creates new ParsedSequence.

Throws:
  `java.io.IOException`

#### ClassifierSequence

    public ClassifierSequence(java.lang.String seqName,
                              java.lang.String desc,
                              java.lang.String seqString)
                       throws java.io.IOException

Throws:
  `java.io.IOException`

### Method Detail

#### setSeqString

    protected void setSeqString(java.lang.String s)

Sets the sequence string.

#### getWordIndexArr

    public int[] getWordIndexArr()

#### isReverse

    public boolean isReverse()

Returns true if the sequence string is a minus strand.

#### getReversedSeq

    public ClassifierSequence getReversedSeq()
                                      throws java.io.IOException

Returns a Sequence object whose sequence string is the reverse complement of the current rRNA sequence string.

Throws:
  `java.io.IOException`

#### getGoodWordCount

    public int getGoodWordCount()

Returns the number of words with valid bases.